org.apache.hadoop.yarn.server.federation.store.records

## Class GetApplicationsHomeSubClusterResponse

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.GetApplicationsHomeSubClusterResponse

- Direct Known Subclasses:
    GetApplicationsHomeSubClusterResponsePBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class GetApplicationsHomeSubClusterResponse
      extends Object

  The response sent by `Federation state store` to a query for the home subcluster of all submitted applications.

  The response includes the mapping details, i.e.:

  - `ApplicationId`
  - `SubClusterId`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetApplicationsHomeSubClusterResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<ApplicationHomeSubCluster>` | `getAppsHomeSubClusters()` Get the `ApplicationHomeSubCluster` list representing the mapping of all submitted applications to it's home sub-cluster.
    `static GetApplicationsHomeSubClusterResponse` | `newInstance(List<ApplicationHomeSubCluster> appsHomeSubClusters)`
    `abstract void` | `setAppsHomeSubClusters(List<ApplicationHomeSubCluster> appsHomeSubClusters)` Set the `ApplicationHomeSubCluster` list representing the mapping of all submitted applications to it's home sub-cluster.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetApplicationsHomeSubClusterResponse

          public GetApplicationsHomeSubClusterResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static GetApplicationsHomeSubClusterResponse newInstance(List<ApplicationHomeSubCluster> appsHomeSubClusters)

    - #### getAppsHomeSubClusters

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract List<ApplicationHomeSubCluster> getAppsHomeSubClusters()

      Get the `ApplicationHomeSubCluster` list representing the mapping of all submitted applications to it's home sub-cluster.
      Returns:
        the mapping of all submitted application to it's home sub-cluster.

    - #### setAppsHomeSubClusters

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setAppsHomeSubClusters(List<ApplicationHomeSubCluster> appsHomeSubClusters)

      Set the `ApplicationHomeSubCluster` list representing the mapping of all submitted applications to it's home sub-cluster.
      Parameters:
        `appsHomeSubClusters` - the mapping of all submitted application to it's home sub-cluster.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.